[GE users] gridengine for Linux 2.6?

Taylor, Z Todd todd.taylor at pnl.gov
Fri Jan 14 16:44:52 GMT 2005


Thanks to all.  That worked perfectly and my 2.6 hosts are
now working alongside my 2.4 hosts.

--Todd
-- 
Why is a pineapple neither a pine nor an apple?



> -----Original Message-----
> From: Ron Chen [mailto:ron_chen_123 at yahoo.com] 
> Sent: Thursday, January 13, 2005 10:45 PM
> To: users at gridengine.sunsource.net
> Subject: RE: [GE users] gridengine for Linux 2.6?
> 
> 
> Yes, the "arch" script in the V53_beta2_BRANCH cvs
> branch has the code you've described:
> 
> http://gridengine.sunsource.net/unbranded-source/browse/~check
out~/gridengine/source/dist/util/arch?>
rev=1.7.2.17&content-type=text/plain&only_with_tag=V53_beta2_BRANCH
> 
> Todd, it should work after you change the few lines of
> code in arch, and please send the problems to the list
> and we will try to solve it :)
> 
>  -Ron
> 
> --- Rayson Ho <raysonho at eseenet.com> wrote:
> > Hmm, my reply didn't go to this list, please don't
> > do "reply all", or
> > otherwise I will get duplicated messages, which ends
> > up sending the message
> > to you but not the list.
> > 
> > To this list:
> > Modify $SGE_ROOT/util/arch:152
> > 
> >    Linux,*)
> >       rev="`/bin/uname -r`"
> >       case $rev in
> >       2.[24].*)
> >          strings /lib/libc.so.6 | grep "GNU C
> > Library" | grep 2.0 
> > 2>&1 > /dev/null
> > 
> > Instead of 2.[24].*), change it to 2.[246].*)
> > 
> > And for glibc versions other than 2.0, change grep
> > 2.0 to use [] so that
> > not only 2.0 but 2.1 and 2.2 are supported.
> > 
> > Rayson
[snip]

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe at gridengine.sunsource.net
For additional commands, e-mail: users-help at gridengine.sunsource.net




More information about the gridengine-users mailing list